## react-build-cli

### Installation

```js
npm install -D react-build-cli
or
yarn add -D react-build-cli

```

### Usage

```js
react-build-cli start -m //  -m local mock
react-build-cli build
react-build-cli test
```

### Configation

1. Custom webpack configuration, automatically overwrite the current webpack configuration (webpack.config.js)

webpack.config.prod.js and webpack.config.dev.js has a higher priority

2. local mock (.mockrc.json)

```js
interface MockConfig {
    rootDir: string; // mock files
    api: string; // api prefix
    whiteList: string[]; // local mock whitlist
}
```

3. rcb.config.js

```js
interface RcbConfig {
    host?: string; // dev server host
    port?: number; // dev server port
    proxy?: ProxyConfigMap | ProxyConfigArray, // dev server proxy
    mock?: MockConfig, // mock config
    babelPresets?: PluginItem[] | null, // add babel presets
    babelPlugins?: PluginItem[] | null // add babel plugin
}
```
